| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
planner.c File Reference
`#include "fftw-int.h"`
`#include <stdlib.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Macros
#define | FOR_ALL_CODELETS(p)

## Functions
fftw_plan | fftw_create_plan_specific (int n, fftw_direction dir, int flags, fftw_complex *in, int istride, fftw_complex *out, int ostride)
fftw_plan | fftw_create_plan (int n, fftw_direction dir, int flags)
void | fftw_destroy_plan (fftw_plan plan)

## Variables
fftw_generic_codelet | fftw_twiddle_generic
fftw_generic_codelet | fftwi_twiddle_generic
fftw_codelet_desc * | fftw_config []
fftw_plan_hook_ptr | fftw_plan_hook = (fftw_plan_hook_ptr) NULL

## Macro Definition Documentation

#define FOR_ALL_CODELETS | ( |  | p | ) |

Value:
fftw_codelet_desc **__q, *p; \
for (__q = &fftw_config[0]; (p = (*__q)); ++__q)
fftw_codelet_desc
Definition: fftw.h:126
fftw_config
fftw_codelet_desc * fftw_config[]
Definition: config.c:101

Definition at line 127 of file planner.c.

## Function Documentation

fftw_plan fftw_create_plan | ( | int | n,
|  | fftw_direction | dir,
|  | int | flags
| ) |  |

Definition at line 450 of file planner.c.

fftw_plan fftw_create_plan_specific | ( | int | n,
|  | fftw_direction | dir,
|  | int | flags,
|  | fftw_complex * | in,
|  | int | istride,
|  | fftw_complex * | out,
|  | int | ostride
| ) |  |

Definition at line 421 of file planner.c.

void fftw_destroy_plan | ( | fftw_plan | plan | ) |

Definition at line 472 of file planner.c.

## Variable Documentation

fftw_codelet_desc* fftw_config[]

Definition at line 101 of file config.c.

fftw_plan_hook_ptr fftw_plan_hook = (fftw_plan_hook_ptr) NULL

Definition at line 33 of file planner.c.

fftw_generic_codelet fftw_twiddle_generic

fftw_generic_codelet fftwi_twiddle_generic